package com.goldenwater.system.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.goldenwater.system.domain.SysRoleApperFor;

/**
 * 注册审批 数据层
 * 
 * @author goldenwater
 */
public interface SysRoleApperForMapper
{
    /**
     * 查询注册审批列表
     * 
     * @param sysRoleApperFor 注册审批信息
     * @return 注册审批集合
     */
    public List<SysRoleApperFor> selectList(SysRoleApperFor sysRoleApperFor);

    /**
     * 通过申请ID查询注册审批
     * 
     * @param apperId 申请ID
     * @return 注册审批对象
     */
    public SysRoleApperFor selectById(String apperId);

    /**
     * 新增注册审批
     * 
     * @param sysRoleApperFor 注册审批信息
     * @return 结果
     */
    public int insert(SysRoleApperFor sysRoleApperFor);

    /**
     * 修改注册审批
     * 
     * @param sysRoleApperFor 注册审批信息
     * @return 结果
     */
    public int update(SysRoleApperFor sysRoleApperFor);

    /**
     * 更新审批状态
     * 
     * @param apperId 申请ID
     * @param pass 审批状态
     * @return 结果
     */
    public int updatePass(@Param("apperId") String apperId, @Param("pass") String pass);

    /**
     * 删除注册审批
     * 
     * @param apperId 申请ID
     * @return 结果
     */
    public int deleteById(String apperId);

    /**
     * 根据登录名查询用户类型
     * 
     * @param userName 登录名
     * @return 用户类型
     */
    public String getUserType(String userName);
}
